/* DEDLG.C */

#include <demo.g>
#include <hwim.h>

#pragma METHOD_CALL

METHOD INT dedlg_dl_key(PR_DLGBOX *self)
    {
    RBUF_LP *prbuf;

    prbuf=self->dlgbox.rbuf;
    prbuf->dayno=hDlgSenseDtedit(1);
    prbuf->ndays=hDlgSenseNcedit(2);
    prbuf->gap=hDlgSenseChlist(3);
    return(WN_KEY_CHANGED);
    }
